package com.bergerkiller.bukkit.nolagg.tnt;

import org.bukkit.command.CommandSender;

import com.bergerkiller.bukkit.common.permissions.NoPermissionException;
import com.bergerkiller.bukkit.nolagg.base.CommandHandler;

public class Commands extends CommandHandler {

	@Override
	public boolean handle(CommandSender sender, String[] args) throws NoPermissionException {
		if (args.length == 0) return false;
		if (args[0].equalsIgnoreCase("tnt")) {
			if (args.length == 2 && args[1].equalsIgnoreCase("clear")) {
				this.permission(sender, "nolagg.tnt.clear");
				TnTHandler.clear();
				sender.sendMessage("TNT detonation stopped, pending TNT cleared");
			} else {
				this.permission(sender, "nolagg.tnt.info");
				sender.sendMessage(TnTHandler.getBufferCount() + " TNT blocks are waiting for detonation");
			}
		}
		return false;
	}

}
